VELVETH_LONG(1)

NAME
velveth_long - simple hashing program (LONGSEQUENCES)

DESCRIPTION
velveth - simple hashing program Version 1.2.09

OPTIONS

-strand_specific
    : for strand specific transcriptome sequencing data (default: off)

-reuse_Sequences
    : reuse Sequences file (or link) already in directory (no need to provide original filenames in this case (default: off)

-reuse_binary
    : reuse binary sequences file (or link) already in directory (no need to provide original filenames in this case (default: off)

-noHash
    : simply prepare Sequences file, do not hash reads or prepare Roadmaps file (default: off)

-create_binary
    : create binary CnyUnifiedSeq file (default: off)

Synopsis:

  - Short single end reads:

    velveth Assem 29 -short -fastq s_1_sequence.txt

  - Paired-end short reads (remember to interleave paired reads):

    velveth Assem 31 -shortPaired -fasta interleaved.fna

- Paired-end short reads (using separate files for the paired reads)

    velveth Assem 31 -shortPaired -fasta -separate left.fa right.fa

  - Two channels and some long reads:

    velveth Assem 43 -short -fastq unmapped.fna -longPaired -fasta SangerReads.fasta

  - Three channels:

    velveth Assem 35 -shortPaired -fasta pe_lib1.fasta -shortPaired2 pe_lib2.fasta -short3 se_lib1.fa

  Output:

    directory/Roadmaps directory/Sequences

    [Both files are picked up by graph, so please leave them there]

COPYRIGHT
Copyright 2007, 2008 Daniel Zerbino (zerbino@ebi.ac.uk)
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compilation settings: CATEGORIES = 2 MAXKMERLENGTH = 31 OPENMP LONGSEQUENCES

Usage: ./velveth directory hash_length {[-file_format][-read_type][-separate|-interleaved] filename1 [filename2 ...]} {...} [options]

directory
    : directory name for output files

hash_length
    : EITHER an odd integer (if even, it will be decremented) <= 31 (if above, will be reduced) : OR: m,M,s where m and M are odd integers (if not, they will be decremented) with m < M <= 31 (if above, will be reduced)

    and s is a step (even number). Velvet will then hash from k=m to k=M with a step of s

filename
    : path to sequence file or - for standard input

  File format options:

-fasta -fastq -raw -fasta.gz -fastq.gz -raw.gz -sam -bam -fmtAuto

    (Note: -fmtAuto will detect fasta or fastq, and will try the following programs for decompression : gunzip, pbunzip2, bunzip2

  File layout options for paired reads (only for fasta and fastq formats):

-interleaved
    : File contains paired reads interleaved in the one file (default)

-separate
    : Read 2 separate files for paired reads

  Read type options:

-short -shortPaired

-short2 -shortPaired2

-long -longPaired

-reference